Bug 1307529 - geomorph: FTBFS in rawhide
geomorph: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: geomorph (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Didier
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:24 EST by Fedora Release Engineering
Modified: 2016-05-20 13:41 EDT (History)
2 users (show)

See Also:
Fixed In Version: geomorph-0.62-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-20 13:41:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (221.98 KB, text/plain)
2016-02-13 16:24 EST, Fedora Release Engineering
no flags Details
root.log (102.72 KB, text/plain)
2016-02-13 16:24 EST, Fedora Release Engineering
no flags Details
state.log (629 bytes, text/plain)
2016-02-13 16:24 EST, Fedora Release Engineering
no flags Details

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:24:21 EST
Your package geomorph failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12817371

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:24:23 EST
Created attachment 1124651 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:24:24 EST
Created attachment 1124652 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:24:25 EST
Created attachment 1124653 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 09:43:24 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Ralf Corsepius 2016-03-16 13:42:31 EDT
AFAIS, this package suffers from a (IMO questionable) behavioral change having been introduced to appstream-util, which seems to have fixed "<project_group/>" to a predefined set of groups.

cf. https://github.com/hughsie/appstream-glib/blob/master/libappstream-glib/as-environment-ids.txt
and
https://bugzilla.redhat.com/show_bug.cgi?id=1293561

That said, removing the <project_group>-line from geomorph.appdata.xml lets this package build again (see below)

diff --git a/geomorph.appdata.xml b/geomorph.appdata.xml
index 043a606..63b3329 100644
--- a/geomorph.appdata.xml
+++ b/geomorph.appdata.xml
@@ -30,5 +30,4 @@
  </screenshots>
  <url type="homepage">http://geomorph.sourceforge.net/</url>
  <updatecontact>didier.fabert_at_gmail.com</updatecontact>
- <project_group></project_group>
 </component>
Comment 6 Fedora Update System 2016-05-06 14:06:38 EDT
geomorph-0.60.1-9.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3cdb957fc4
Comment 7 Fedora Update System 2016-05-07 13:26:50 EDT
geomorph-0.60.1-9.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3cdb957fc4
Comment 8 Fedora Update System 2016-05-09 09:02:38 EDT
geomorph-0.62-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dd6afa3e3e
Comment 9 Fedora Update System 2016-05-10 16:30:47 EDT
geomorph-0.62-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dd6afa3e3e
Comment 10 Fedora Update System 2016-05-20 13:41:37 EDT
geomorph-0.62-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.